# MPEM toolkit v 1.0 by Thomas Barthel

import os
import tempfile



#=================================================================================
#----------------------------------------------------- is_cmdlineArg
def is_cmdlineArg( txt ):
  if len(txt) < 2:
    return False
  if txt[0] == '-' and ( txt[1] < '0' or txt[1] > '9' ):
    return True
  return False

#----------------------------------------------------- read_cmdlineArg
def read_cmdlineArg( arg, mode, modable ):
  switch = ''
  dn = 0
  if is_cmdlineArg( arg ):
    if arg in modable:
      mode = arg
    else:
      mode = 'none'
    switch = arg
    dn = 1
  else:
    assert mode != 'none'
    switch = mode
  return dn, mode, switch


#=================================================================================

#----------------------------------------------------- create_unique_file
def create_unique_file( name ):
  'The name should end on "[unique_id]".'
  Dir, pref = name.rsplit('[unique_id]',1)[0].rsplit('/',1)
  f, fname = tempfile.mkstemp( suffix='', prefix=pref, dir=Dir )
  os.close( f )
  return fname


#=================================================================================

